Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model
Class VisitorSupportSloppy

    java.lang.Object
      com.tonbeller.jpivot.olap.model.VisitorSupportSloppy

All Implemented Interfaces:
  Visitor

    public abstract class VisitorSupportSloppy

extends java.lang.Object
implements Visitor

default implementation of Visitor. Does nothing

Author:
  av

Constructor Summary
`VisitorSupportSloppy()`

Method Summary
`void` | `visitAxis(Axis v)`
`void` | `visitBooleanExpr(BooleanExpr v)`
`void` | `visitCell(Cell v)`
`void` | `visitDimension(Dimension v)`
`void` | `visitDoubleExpr(DoubleExpr v)`
`void` | `visitEmptyMember(EmptyMember v)`
`void` | `visitFunCallExpr(FunCallExpr v)`
`void` | `visitHierarchy(Hierarchy v)`
`void` | `visitIntegerExpr(IntegerExpr v)`
`void` | `visitLevel(Level v)`
`void` | `visitMember(Member v)`
`void` | `visitMemberPropertyMeta(MemberPropertyMeta v)`
`void` | `visitParameterExpr(ParameterExpr v)`
`void` | `visitPosition(Position v)`
`void` | `visitProperty(Property v)`
`void` | `visitPropertyExpr(PropertyExpr v)`
`void` | `visitResult(Result v)`
`void` | `visitStringExpr(StringExpr v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisitorSupportSloppy

    public VisitorSupportSloppy()

Method Detail

### visitAxis

    public void visitAxis(Axis v)

  Specified by:
    `visitAxis` in interface `Visitor`

### visitCell

    public void visitCell(Cell v)

  Specified by:
    `visitCell` in interface `Visitor`

### visitDimension

    public void visitDimension(Dimension v)

  Specified by:
    `visitDimension` in interface `Visitor`

### visitHierarchy

    public void visitHierarchy(Hierarchy v)

  Specified by:
    `visitHierarchy` in interface `Visitor`

### visitLevel

    public void visitLevel(Level v)

  Specified by:
    `visitLevel` in interface `Visitor`

### visitMember

    public void visitMember(Member v)

  Specified by:
    `visitMember` in interface `Visitor`

### visitPosition

    public void visitPosition(Position v)

  Specified by:
    `visitPosition` in interface `Visitor`

### visitProperty

    public void visitProperty(Property v)

  Specified by:
    `visitProperty` in interface `Visitor`

### visitResult

    public void visitResult(Result v)

  Specified by:
    `visitResult` in interface `Visitor`

### visitMemberPropertyMeta

    public void visitMemberPropertyMeta(MemberPropertyMeta v)

  Specified by:
    `visitMemberPropertyMeta` in interface `Visitor`

### visitBooleanExpr

    public void visitBooleanExpr(BooleanExpr v)

  Specified by:
    `visitBooleanExpr` in interface `Visitor`

### visitIntegerExpr

    public void visitIntegerExpr(IntegerExpr v)

  Specified by:
    `visitIntegerExpr` in interface `Visitor`

### visitDoubleExpr

    public void visitDoubleExpr(DoubleExpr v)

  Specified by:
    `visitDoubleExpr` in interface `Visitor`

### visitStringExpr

    public void visitStringExpr(StringExpr v)

  Specified by:
    `visitStringExpr` in interface `Visitor`

### visitFunCallExpr

    public void visitFunCallExpr(FunCallExpr v)

  Specified by:
    `visitFunCallExpr` in interface `Visitor`

### visitParameterExpr

    public void visitParameterExpr(ParameterExpr v)

  Specified by:
    `visitParameterExpr` in interface `Visitor`

### visitPropertyExpr

    public void visitPropertyExpr(PropertyExpr v)

  Specified by:
    `visitPropertyExpr` in interface `Visitor`

### visitEmptyMember

    public void visitEmptyMember(EmptyMember v)

  Specified by:
    `visitEmptyMember` in interface `Visitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD